@import url("https://fonts.googleapis.com/css?family=Lato:400,100,300,700,100italic,300italic,400italic,700italic,900,900italic");
@import url("https://fonts.googleapis.com/css?family=Raleway:400,700");


 .btn-1 {
  color: #c7f8f9;
  background: transparent;
  border-radius: 5px;
  -webkit-transition: all 0.5s ease;
  transition: all 0.5s ease;
  -webkit-transform: translate(0, 0);
  transform: translate(0, 0);
}
.btn-1 a {
  color: #c7f8f9;
}
 .btn-1 :hover {
  background: #c7f8f9;
  color: #6ab1c9;
  border: 3px solid #6ab1c9;
  -webkit-transition: all 0.35s ease;
  transition: all 0.35s ease;
}
 .btn-1 :hover >a {
  color: #6ab1c9;
  -webkit-transition: all 0.35s ease;
  transition: all 0.35s ease;
}
 .btn-1 :active {
  -webkit-transform: translate(5px, 5px);
  transform: translate(5px, 5px);
}

.btn-2 {
  color: lightblue;
  background: transparent;
  border: none;
  -webkit-transition: all 0.7s ease;
  transition: all 0.7s ease;
	
}
.btn-2 :hover {

  
}
.btn-2 :hover:before,
.btn-2 :hover:after {
  -webkit-transition: all 0.7s ease;
  transition: all 0.7s ease;
  width: 100%;
}
.btn-2 :before,
.btn-2 :after {
  content: '';
  position: absolute;
  top: 0;
  left: 0px;
  width: 0px;
  height: 3px;
  background: #79B9E1;
  transition: all 0.4s ease;
}
.btn-2 :after {
  top: inherit;
  left: inherit;
  bottom: 0;
  right: 0;
}
.cta {
 display: block;
}
.cta a {
  display: inline-block;
  padding: 15px 0;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  border-radius: 4px;
  margin-right: 10px;
  -webkit-box-shadow: 0px 3px 6px -1px rgba(0, 0, 0, 0.19);
  -moz-box-shadow: 0px 3px 6px -1px rgba(0, 0, 0, 0.19);
  -ms-box-shadow: 0px 3px 6px -1px rgba(0, 0, 0, 0.19);
  -o-box-shadow: 0px 3px 6px -1px rgba(0, 0, 0, 0.19);
  box-shadow: 0px 3px 6px -1px rgba(0, 0, 0, 0.19);
}
.cta a .demo {
  border: 2px solid #fff;
  text-decoration: none !important;
}
@media screen and (max-width: 768px) {
  .cta a.demo {
    margin-bottom: 20px;
  }
}
.cta a.demo:hover {
  background: rgba(255, 255, 255, 0.2);
}
.cta a.download {
  border: 2px solid #ff3b30;
  background: #ff3b30;
  text-decoration: none !important;
}


.btn-3 {
  color: #e5d272;
  background: #f6f7c5;
  border: none;
  -webkit-transition: all 1s ease;
  transition: all 1s ease;
}
.btn-3 :hover {
  -webkit-transition: all 0.7s ease;
  transition: all 0.7s ease;
  background: transparent;
  color: #f6f7c5;
}
.btn-3 :hover:after {
  transition: all 0.3s ease;
  width: 100%;
  left: 0;
}
.btn-3 :after {
  position: absolute;
  transition: all 0.3s ease;
  content: '';
  width: 0;
  bottom: 0;
  left: inherit;
  right: 0;
  height: 3px;
  background: #f6f7c5;
}
.btn-4 {
  color: #eda39a;
  border-radius: 5px;
  background: radial-gradient(circle, #ed412a 0.25em, transparent 0.25em) center/1.2em 1.2em;
  border: 3px solid #ed412a;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.btn-4 :hover {
  color: #fff;
  background: radial-gradient(circle, #ed412a 0.25em, transparent 0.25em) center/0.1em 0.1em;
  -webkit-transition: all 0.5s ease;
  transition: all 0.5s ease;
}
.btn-5 {
  color: #79B9E1;
  background: transparent;
  border: 3px solid #79B9E1;
  border-radius: 4px;
  height: 50px; 
  -webkit-transition: all 0.25s ease;
  transition: all 0.25s ease;
	direction: ltl;

}
.btn-5 :hover {
  border-color: #79B9E1;
  background-image: repeating-linear-gradient(-25deg, #79B9E1, #79B9E1 3px, transparent 4px, transparent 7px);
  background-size: 10px 14px;
  -webkit-animation: cloud-animation 1.25s infinite ease;
  animation: cloud-animation 1.25s infinite ease;
  -webkit-animation-delay: 0;
  -webkit-transition: all 0.25s ease;
  transition: all 0.25s ease;
}
.btn-6 {
  width: 11em;
  height: 3em;
  color: #d3b7f7;
  background: transparent;
  border: 3px solid #d3b7f7;
  border-radius: 5px;
  -webkit-transition: border 0.5s ease-out;
  transition: border 0.5s ease-out;
  transition-delay: 0.8s;
}
.btn-6 a {
  position: absolute;
  z-index: 2;
  left: 43px;
  top: 17px;
}
.btn-6 ::before,
.btn-6 ::after {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  content: 'LONG NIGHT';
  border-radius: 50%;
  display: block;
  width: 22em;
  height: 22em;
  left: -5.5em;
  text-align: center;
  -webkit-transition: box-shadow 0.5s ease-out;
  transition: box-shadow 0.5s ease-out;
  transition-delay: 0.75s;
  -webkit-transition-delay: 0.75s;
  z-index: 1;
}
.btn-6 ::after {
  transition-delay: 0.25s;
  -webkit-transition-delay: 0.25s;
}
.btn-6 :hover {
  color: #fff;
  border-color: #8460af;
  animation: witch-word-color 1.5s ease;
  -webkit-transition: border 0.2s ease;
  transition: border 0.2s ease;
}
.btn-6 :hover::before {
  box-shadow: inset 0 0 0 11em #b657e5;
  transition-delay: 0.05s;
}
.btn-6 :hover::after {
  box-shadow: inset 0 0 0 11em #8460af;
  transition-delay: 0.5s;
}
.btn {
  margin: 0 auto 30px auto;
  display: block;
}
@-moz-keyframes cloud-animation {
  100% {
    background-position: 0px 2em;
  }
}
@-webkit-keyframes cloud-animation {
  100% {
    background-position: 0px 2em;
  }
}
@-o-keyframes cloud-animation {
  100% {
    background-position: 0px 2em;
  }
}
@keyframes cloud-animation {
  100% {
    background-position: 0px 2em;
  }
}
@-moz-keyframes witch-word-color {
  0% {
    color: #d3b7f7;
  }
  50% {
    color: #50514f;
  }
  100% {
    color: #fff;
  }
}
@-webkit-keyframes witch-word-color {
  0% {
    color: #d3b7f7;
  }
  50% {
    color: #50514f;
  }
  100% {
    color: #fff;
  }
}
@-o-keyframes witch-word-color {
  0% {
    color: #d3b7f7;
  }
  50% {
    color: #50514f;
  }
  100% {
    color: #fff;
  }
}
@keyframes witch-word-color {
  0% {
    color: #d3b7f7;
  }
  50% {
    color: #50514f;
  }
  100% {
    color: #fff;
  }
}
